
{: test that wrong characters in hexadecimal number cause a compilation error }

program e1008( output );

var
   x    : real;
   i    : integer;
   pass : boolean;
begin
   i := $8000000g;
   x := 12.5;
   writeln( 'x is ', x:1:1, ', i is ', i:1 );
   writeln( 'hexadecimal format error not detected' );
end. { e1008 }

